Skip to main content
GET
Get Tms Connection

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

tms_connection_id
string<uuid>
required

Response

Successful Response

API Model for reading a TMS connection

id
string<uuid>
required

Unique identifier for the TMS connection.

created_at
string<date-time>
required

Timestamp when the connection was created.

updated_at
string<date-time>
required

Timestamp when the connection was last updated.

tms_account_id
string<uuid>
required

The Catena ID of the TMS account that owns this connection.

tms_id
string<uuid>
required

The ID of the Transportation Management System (TMS).

source_name
enum<string>
required

The name of the TMS integration used for this connection.

Available options:
alvys,
ascend_tms,
axon_software,
blue_yonder,
dat,
descartes_aljex,
freightpop,
manhattan_associates,
mastery_tms,
mcleod,
mercury_gate,
oracle_transportation_management,
pcs_software,
revenova,
rose_rocket,
sap_transportation_management,
tailwind_tms,
tai_tms,
tms_simulator,
transport_pro,
trimble_transportation,
turvo
credentials
AccessTokenCreds · object
required

Access Token Credentials

status
enum<string>
required

The current status of the connection.

Available options:
active,
failed,
cancelled,
paused,
stale,
deleted
description
string | null
required

A description of the connection. Useful when the TMS account has multiple connections to the same TMS.